Index: branches/2.0/plugins/add_index/language/pl_PL/help/advanced_feature.html
===================================================================
--- branches/2.0/plugins/add_index/language/pl_PL/help/advanced_feature.html	(revision 3236)
+++ branches/2.0/plugins/add_index/language/pl_PL/help/advanced_feature.html	(revision 3236)
@@ -0,0 +1,7 @@
+<p>Funkcjonalnoœæ wtyczki AddIndex:</p>
+<ul>
+  <li>
+    <strong>Aby dodaæ i nadpisaæ pliki "index" dla wszystkich stron lokalnych:</strong>
+    Nadpisz kopiê pliku ./include/index.php we wszystkich podkatalogach galerii lokalnej.
+  </li>
+<ul>
Index: branches/2.0/plugins/add_index/language/pl_PL/help/index.php
===================================================================
--- branches/2.0/plugins/add_index/language/pl_PL/help/index.php	(revision 3236)
+++ branches/2.0/plugins/add_index/language/pl_PL/help/index.php	(revision 3236)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/add_index/language/pl_PL/help/site_manager.html
===================================================================
--- branches/2.0/plugins/add_index/language/pl_PL/help/site_manager.html	(revision 3236)
+++ branches/2.0/plugins/add_index/language/pl_PL/help/site_manager.html	(revision 3236)
@@ -0,0 +1,7 @@
+<p>Funkcjonalność wtyczki AddIndex:</p>
+<ul>
+  <li>
+    <strong>Aby dodać pliki "index" dla strony lokalnej:</strong>
+    Skopiuj plik ./include/index.php do wszystkich podkatalogów wybranej strony.
+  </li>
+<ul>
Index: branches/2.0/plugins/add_index/language/pl_PL/index.php
===================================================================
--- branches/2.0/plugins/add_index/language/pl_PL/index.php	(revision 3236)
+++ branches/2.0/plugins/add_index/language/pl_PL/index.php	(revision 3236)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/add_index/language/pl_PL/plugin.lang.php
===================================================================
--- branches/2.0/plugins/add_index/language/pl_PL/plugin.lang.php	(revision 3236)
+++ branches/2.0/plugins/add_index/language/pl_PL/plugin.lang.php	(revision 3236)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Add_Index'] = 'Dodaj pliki "index"';
+$lang['Advanced_Add_Index'] = 'Dodaj i nadpisz wszystkie pliki "index" we wszystkich lokalizacjach';
+$lang['Manager_Add_Index'] = 'dodaj "index"';
+
+$lang['add_index_file_copied'] = 'Skopiowano %s';
+$lang['add_index_file_not_copied'] = 'Nie skopiowano %s';
+$lang['add_index_not_local_site'] = '%s [%d] jest zdalną stroną i jest kompatybilna z plikami "index"';
+$lang['add_index_nb_copied_file'] = 'Skopiowano plik %d';
+$lang['add_index_nb_copied_files'] = 'Skopiowano %d plików';
+$lang['add_index_nb_skipped_file'] = 'Plik %d został pominięty';
+$lang['add_index_nb_skipped_files'] = 'Pominięto %d plików';
+$lang['add_index_nb_not_copied_file'] = 'Plik %d nie został skopiowany';
+$lang['add_index_nb_not_copied_files'] = 'Nie skopiowano %d plików';
+$lang['add_index_src_file_dont_exists'] = 'Plik źródłowy nie istnieje %s \- nie można powielić tego pliku';
+
+?>