Index: /branches/2.0/language/pt_PT/about.html
===================================================================
--- /branches/2.0/language/pt_PT/about.html	(revision 3263)
+++ /branches/2.0/language/pt_PT/about.html	(revision 3263)
@@ -0,0 +1,6 @@
+  <li>Piwigo é uma aplicação web permitindo de criar facilemente uma galeria de imagens em linha.</li>
+
+  <li>Tecnicamente, Piwigo é desenvolevido em PHP com uma base de dados MySQL.</li>
+
+  <li>Se tiver sugestões ou comentários visite o <a
+  href="http://piwigo.org">sitio oficial</a> e <a href="http://piwigo.org/forum">seu forum</a>.</li>
Index: /branches/2.0/language/pt_PT/common.lang.php
===================================================================
--- /branches/2.0/language/pt_PT/common.lang.php	(revision 3263)
+++ /branches/2.0/language/pt_PT/common.lang.php	(revision 3263)
@@ -0,0 +1,368 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Português';
+$lang_info['country'] = 'Portugal';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'pt';
+$lang_info['zero_plural'] = false;
+
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (noté %d fois, écart type = %.2f)';
+$lang['%d Kb'] = '%d Ko';
+$lang['%d category updated'] = '%d categoria actualizada';
+$lang['%d categories updated'] = '%d categorias actualizadas';
+$lang['%d comment to validate'] = '%d comentário usário para vaidar';
+$lang['%d comments to validate'] = '%d comentários usários para validar';
+$lang['%d new comment'] = '%d novo comentário';
+$lang['%d new comments'] = '%d novos comentários';
+$lang['%d comment'] = '%d comentário';
+$lang['%d comments'] = '%d comentários';
+$lang['%d hit'] = 'visto %d vêz';
+$lang['%d hits'] = 'vista %d vêzes';
+$lang['%d new element'] = '%d novo elemento';
+$lang['%d new elements'] = '%d novos elementos';
+$lang['%d new user'] = '%d novo usário';
+$lang['%d new users'] = '%d novos usários';
+$lang['%d waiting element'] = '%d elemento a espera';
+$lang['%d waiting elements'] = '%d elementos a espera';
+$lang['About'] = 'A prepósito de';
+$lang['All tags must match'] = 'Todos os tags devem corresponder';
+$lang['All tags'] = 'Todos os tags';
+$lang['Any tag'] = 'qualquer tag';
+$lang['At least one listed rule must be satisfied.'] = 'Ao menos um dos criterios deve ser satisfeito.';
+$lang['At least one tag must match'] = 'Ao menos um dos tags deve corresponder';
+$lang['Author'] = 'Autor';
+$lang['Average rate'] = 'Nota media';
+$lang['Categories'] = 'Categorias';
+$lang['Category'] = 'Categoria';
+$lang['Close this window'] = 'Fechar esta janela';
+$lang['Complete RSS feed'] = 'Fluxo RSS completo (imagems, comentarios)';
+$lang['Confirm Password'] = 'Confirmar a palavra passe';
+$lang['Connection settings'] = 'Ajustes de conexão';
+$lang['Connection'] = 'Conexão';
+$lang['Contact webmaster'] = 'Contactar o webmaster';
+$lang['Create a new account'] = 'Criar uma nova conta';
+$lang['Created on'] = 'Criada em';
+$lang['Creation date'] = 'Data de criação';
+$lang['Current password is wrong'] = 'A palavra passe esta errada';
+$lang['Dimensions'] = 'Dimenções';
+$lang['Display'] = 'Afixação';
+$lang['Each listed rule must be satisfied.'] = 'Todos os criterios devem ser satisfeitos';
+$lang['Email address is missing'] = 'O endereço E-mail está ausente';
+$lang['Email address'] = 'Endereço E-mail';
+$lang['Enter your personnal informations'] = 'Introduza as suas informações pessoais';
+$lang['Error sending email'] = 'Erro durante o envio do E-mail';
+$lang['File name'] = 'Nome do ficheiro';
+$lang['File'] = 'Ficheiro';
+$lang['Filesize'] = 'Peso';
+$lang['Filter and display'] = 'Filtrar e afixar';
+$lang['Filter'] = 'Filtro';
+$lang['Forgot your password?'] = 'Palavra passe perdida ?';
+$lang['Go through the gallery as a visitor'] = 'Percorer a galeria como visitor';
+$lang['Help'] = 'Ajuda';
+$lang['Identification'] = 'Identificação';
+$lang['Image only RSS feed'] = 'Fluxo RSS das imagens';
+$lang['Keyword'] = 'Palavra chave';
+$lang['Links'] = 'Ligação';
+$lang['Mail address'] = $lang['Email address'];
+$lang['N/A'] = 'Não disponível';
+$lang['New on %s'] = 'Novo em %s';
+$lang['New password confirmation does not correspond'] = 'Erro de confirmação da palavra passe';
+$lang['New password sent by email'] = 'Nova palavra passe enviada por E-mail';
+$lang['No email address'] = 'Falta o endereço E-mail';
+$lang['No user matches this email address'] = 'O endereço E-mail não corresponde à nenhum usário';
+$lang['Notification'] = 'Notificação';
+$lang['Number of items'] = 'Número de elementos';
+$lang['Original dimensions'] = 'Dimenção original';
+$lang['Password forgotten'] = 'Palavra passe perdida';
+$lang['Password'] = 'Palavra passe';
+$lang['Post date'] = 'data de adição';
+$lang['Posted on'] = 'Adido em';
+$lang['Profile'] = 'Perfil';
+$lang['Quick connect'] = 'Coneção rápida';
+$lang['RSS feed'] = 'fluxo RSS';
+$lang['Rate'] = 'Nota';
+$lang['Register'] = 'Registar-se';
+$lang['Registration'] = 'Registro';
+$lang['Related tags'] = 'Tags ligados';
+$lang['Reset'] = 'Cancelar';
+$lang['Retrieve password'] = 'Recuperar uma palavra passe';
+$lang['Search rules'] = 'Critérios de busca';
+$lang['Search tags'] = 'Pesquisar os tags';
+$lang['Search'] = 'Pesquisar';
+$lang['See available tags'] = 'Ver os tags disponíveis';
+$lang['Send new password'] = 'Enviar a nova palavra passe';
+$lang['Since'] = 'desde ';
+$lang['Sort by'] = 'Classificação pelo(a)';
+$lang['Sort order'] = 'Ordem de classificação';
+$lang['Tag'] = 'Tag';
+$lang['Tags'] = 'Tags';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'O fluxo RSS notifica dos eventos da galeria : novas imagens, categorias actualizadas, Novos comentários usários. Para utilizar com um leitor de fluxos RSS.';
+$lang['Unknown feed identifier'] = 'identificador de fluxo desconhecido';
+$lang['User comments'] = 'Comentarios utilizador';
+$lang['Username'] = 'utilizador';
+$lang['Visits'] = 'Visitas';
+$lang['Webmaster'] = 'Webmaster';
+$lang['Week %d'] = 'Semana %d';
+$lang['about_page_title'] = 'A proposito de Piwigo';
+$lang['access_forbiden'] = 'Acesso proibido';
+$lang['add to caddie'] = 'Acrescentar ao carrinho';
+$lang['add_favorites_hint'] = 'Acrescentar aos favoritos';
+$lang['admin'] = 'Administração';
+$lang['adviser_mode_enabled'] = 'Modo conselheiro activo';
+$lang['all'] = 'tudo';
+$lang['ascending'] = 'crescente';
+$lang['author(s) : %s'] = 'autor(es) : %s';
+$lang['auto_expand'] = 'Desenvolver todas as categorias';
+$lang['became available after %s (%s)'] = 'posto a disposição depios do %s (%s)';
+$lang['became available before %s (%s)'] = 'posto a disposição antes do %s (%s)';
+$lang['became available between %s (%s) and %s (%s)'] = 'posto a disposição entre o %s (%s) e o %s (%s)';
+$lang['became available on %s'] = 'posto a disposição em %s';
+$lang['best_rated_cat'] = 'Mais notadas';
+$lang['best_rated_cat_hint'] = 'Afixar as imagens mais notadas';
+$lang['caddie'] = 'carrinho';
+$lang['calendar'] = 'Calendário';
+$lang['calendar_any'] = 'Tudo';
+$lang['calendar_hint'] = 'afixar ano por ano, mes por mes, dia por dia';
+$lang['calendar_picture_hint'] = 'afixar as imagens do ';
+$lang['calendar_view'] = 'Vista';
+$lang['chronology_monthly_calendar'] = 'Calendário mensual';
+$lang['chronology_monthly_list'] = 'Lista mensual';
+$lang['chronology_weekly_list'] = 'Lista semanal';
+$lang['click_to_redirect'] = 'Clique aqui se o navegador não vos recaminha.';
+$lang['comment date'] = 'data do comentário';
+$lang['comment'] = 'comentário';
+$lang['comment_added'] = 'O seu comentário foi registado';
+$lang['comment_anti-flood'] = 'Sistema conta abuso : Pedimos por favor de esperar antes de escrever um novo comentario';
+$lang['comment_not_added'] = 'O seu comentário não pôde ser registado porque não se conforma às regras de validação';
+$lang['comment_to_validate'] = 'Par ser visível, o seu comentário deve ser validado pelo administrador.';
+$lang['comment_user_exists'] = 'Este utilizador já existe';
+$lang['comments'] = 'Comentários';
+$lang['comments_add'] = 'deixar um comentário';
+$lang['created after %s (%s)'] = 'Criada depois do %s (%s)';
+$lang['created before %s (%s)'] = 'Criada antes do %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'Criada entre o %s (%s) e o %s (%s)';
+$lang['created on %s'] = 'criada em %s';
+$lang['customize'] = 'Personalizar';
+$lang['customize_page_title'] = 'Personalização da sua afixagem ';
+$lang['day'][0] = 'Domingo';
+$lang['day'][1] = 'Segunda-feira';
+$lang['day'][2] = 'Terça-feira';
+$lang['day'][3] = 'Quarta-feira';
+$lang['day'][4] = 'Quinta-eira';
+$lang['day'][5] = 'Seixta-feira';
+$lang['day'][6] = 'Sábado';
+$lang['default_sort'] = 'Por defeito';
+$lang['del_favorites_hint'] = 'suprimir esta fotografia das favoritas';
+$lang['delete'] = 'Suprimir';
+$lang['descending'] = 'decrescente';
+$lang['download'] = 'carregar';
+$lang['download_hint'] = 'carregar este ficheiro';
+$lang['edit'] = 'editar';
+$lang['err_date'] = 'data errada';
+$lang['excluded'] = 'excluído';
+$lang['favorite_cat'] = 'Minhas favoritas';
+$lang['favorite_cat_hint'] = 'afixar as minhas imagens favoritas';
+$lang['favorites'] = 'Favorita';
+$lang['first_page'] = 'Premeira';
+$lang['gallery_locked_message'] = 'A galeria esta bloqueada por causa de manutenção. Volte mais tarde.';
+$lang['generation_time'] = 'Página gerida em';
+$lang['guest'] = 'visitante';
+$lang['hello'] = 'Bom dia';
+$lang['hint_admin'] = 'disponível unicamente para os administradores';
+$lang['hint_category'] = 'afixa as imagens à raíz desta categoria';
+$lang['hint_comments'] = 'Ver os últimos comentarios utilizadores';
+$lang['hint_customize'] = 'personalisar a aparência da galeria';
+$lang['hint_search'] = 'pesquisar';
+$lang['home'] = 'página principal do sitio';
+$lang['identification'] = 'Identificação';
+$lang['images_available_cpl'] = 'nesta categoria';
+$lang['images_available_cat'] = 'em %d subcategoria';
+$lang['images_available_cats'] = 'em %d subcategorias';
+$lang['included'] = 'incluido';
+$lang['invalid_pwd'] = 'Palavra passe inválida!';
+$lang['language'] = 'Lingua';
+$lang['last %d days'] = '%d ultimos dias';
+$lang['last_page'] = 'Ultima';
+$lang['logout'] = 'Deconeção';
+$lang['mail_address'] = $lang['Email address'];
+$lang['mandatory'] = 'obrigatário';
+$lang['maxheight'] = 'Altura máxima das imágens';
+$lang['maxheight_error'] = 'A altura máxima das imágens deve ser superior a 50';
+$lang['maxwidth'] = 'Largura máxima das imágens';
+$lang['maxwidth_error'] = 'A largura máxima das imágens deve ser superior a 50';
+$lang['mode_created_hint'] = 'afixar um calendário por data de criação';
+$lang['mode_flat_hint'] = 'afixar a lista de todos os elementos das categorias e subcategorias';
+$lang['mode_normal_hint'] = 'voltar à afixagem normal';
+$lang['mode_posted_hint'] = 'afixar um calendário por data de adição';
+$lang['month'][10] = 'Outubro';
+$lang['month'][11] = 'Novembro';
+$lang['month'][12] = 'Dezembro';
+$lang['month'][1] = 'Janeiro';
+$lang['month'][2] = 'Fevereiro';
+$lang['month'][3] = 'Março';
+$lang['month'][4] = 'Abril';
+$lang['month'][5] = 'Maio';
+$lang['month'][6] = 'Junho';
+$lang['month'][7] = 'Julho';
+$lang['month'][8] = 'Agosto';
+$lang['month'][9] = 'Setembro';
+$lang['most_visited_cat'] = 'Mais vistas';
+$lang['most_visited_cat_hint'] = 'Afixar as imagens mais vistas';
+$lang['nb_image_line_error'] = 'O número de imagens por linha deve ser inteiro e não nulo';
+$lang['nb_image_per_row'] = 'Número de miniaturas por linha';
+$lang['nb_line_page_error'] = 'O número de linhas por página deve ser inteiro e não nulo';
+$lang['nb_row_per_page'] = 'Número de linhas por página';
+$lang['nbm_unknown_identifier'] = 'Identificador desconhecido';
+$lang['new_password'] = 'Nova palavra passe';
+$lang['new_rate'] = 'Vote para esta imagem';
+$lang['next_page'] = 'Seguinte';
+$lang['no_category'] = 'Página principal';
+$lang['no_rate'] = 'nenhuma nota';
+$lang['note_filter_day'] = 'Os elementos estão filtrados para afixar uniquamente os recentes de menos de %d dia.';
+$lang['note_filter_days'] = 'Os elementos estão filtrados para afixar uniquamente os recentes de menos de %d dias.';
+$lang['password updated'] = 'Palavra passe posta em dia';
+$lang['periods_error'] = 'O periode de novidade deve ser um inteiro positivo';
+$lang['picture'] = 'imagem';
+$lang['picture_high'] = 'Clique na imagem para vizualisa-la em alta definição';
+$lang['picture_show_metadata'] = 'Afixar as metadatas do ficheiro';
+$lang['powered_by'] = 'Propulsado por';
+$lang['preferences'] = 'Preferencia';
+$lang['previous_page'] = 'Anterior';
+$lang['random_cat'] = 'Imagem ao acaso ';
+$lang['random_cat_hint'] = 'afixar um conjunto aleatório de imagens';
+$lang['recent_cats_cat'] = 'Categorias recentes';
+$lang['recent_cats_cat_hint'] = 'afixar as categorias recentemente postas em dia ou criadas';
+$lang['recent_period'] = 'Período recente';  
+$lang['recent_pics_cat'] = 'Imagens recentes';
+$lang['recent_pics_cat_hint'] = 'afixar as imagens mais recentes';
+$lang['redirect_msg'] = 'Redirecção...';
+$lang['reg_err_login1'] = 'Faça favor introduzir um nome de utilizador';
+$lang['reg_err_login2'] = 'O nome de utilizador não deve terminar-se por um espaço';
+$lang['reg_err_login3'] = 'O nome de utilizador não deve começar por um espaço';
+$lang['reg_err_login5'] = 'Este nomede utilizador já existe';
+$lang['reg_err_mail_address'] = 'O endresso email deve ser da forma xxx@yyy.eee (exemplo : jack@altern.org)';
+$lang['reg_err_pass'] = 'Faça favor introduzir uma nova palavra passe';
+$lang['remember_me'] = 'Conecção automática';
+$lang['remove this tag'] = 'retirar este tag da lista';
+$lang['representative'] = 'Representente';
+$lang['return to homepage'] = 'regresso à página principal';
+$lang['search_author'] = 'Pesquisar um autor';
+$lang['search_categories'] = 'Pesquisar nas categorias';
+$lang['search_date'] = 'Pesquisar por data';
+$lang['search_date_from'] = 'Data';
+$lang['search_date_to'] = 'Data de fim';
+$lang['search_date_type'] = 'Tipo de data';
+$lang['search_keywords'] = 'Pesquisar uma palavra';
+$lang['search_mode_and'] = 'Pesquisar todas as palavras';
+$lang['search_mode_or'] = 'Pesquisar uma das palavras';
+$lang['search_one_clause_at_least'] = 'Pesquisa vazia. nenhum critério fornecido.';
+$lang['search_options'] = 'Opções de pesquisa';
+$lang['search_result'] = 'Resultados da pesquisa';
+$lang['search_subcats_included'] = 'Pesquisar nas subcategorias';
+$lang['search_title'] = 'Pesquisar';
+$lang['searched words : %s'] = 'Palavras pesquisadas : %s';
+$lang['send_mail'] = 'Contactar';
+$lang['set as category representative'] = 'Escolher como representante desta categoria';
+$lang['show_nb_comments'] = 'Afixar o número de comentarios';
+$lang['show_nb_hits'] = 'Afixar o número de vizualisações';
+$lang['slideshow'] = 'Diaporama';
+$lang['slideshow_stop'] = 'interromper o diaporama';
+$lang['special_categories'] = 'Espciais';
+$lang['sql_queries_in'] = 'Pesquisa SQL em';
+$lang['start_filter_hint'] = 'afixar uniquamente os elementos recentes';
+$lang['stop_filter_hint'] = 'regresar à afixagem de todos os elementos';
+$lang['the beginning'] = 'O principio';
+$lang['theme'] = 'Tema da interface';
+$lang['thumbnails'] = 'Miniaturas';
+$lang['title_menu'] = 'Menu';
+$lang['title_send_mail'] = 'Um comentário sobre o sítio';
+$lang['today'] = 'hoje';
+$lang['update_rate'] = 'Por em dia a sua nota';
+$lang['update_wrong_dirname'] = 'nome de repertório errado';
+$lang['upload_advise_filesize'] = 'o peso da imagem não deve exceder : ';
+$lang['upload_advise_filetype'] = 'o formato da imagem deve ser jpg, png ou gif';
+$lang['upload_advise_height'] = 'a altura da imagem não deve exceder : ';
+$lang['upload_advise_thumbnail'] = 'Optional, mas recomendado : escolher uma miniatura a associar';
+$lang['upload_advise_width'] = 'a largura da imagem não deve exceder : ';
+$lang['upload_author'] = 'Autor';
+$lang['upload_cannot_upload'] = 'impossível de transferir o ficheiro no servidor';
+$lang['upload_err_username'] = 'nome de utilizador ausente';
+$lang['upload_file_exists'] = 'este ficheiro já existe';
+$lang['upload_filenotfound'] = 'o formato do ficheiro não é um formato de imagem';
+$lang['upload_forbidden'] = 'impossível de inserir uma imagem nesta categoria';
+$lang['upload_name'] = 'Nome da imagem';
+$lang['upload_picture'] = 'Adir uma imagem';
+$lang['upload_successful'] = 'Imagem adida com succeso, um administrador deve validar para que ela seja visível';
+$lang['upload_title'] = 'Adir uma imagem';
+$lang['useful when password forgotten'] = 'útil em caso de palavra passe esquecida';
+$lang['qsearch'] = 'pesquisa rápida';
+$lang['Connected user: %s'] = 'Utilizador conectado: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Navegador: %s';
+$lang['Author: %s'] = 'Autor: %s';
+$lang['Comment: %s'] = 'Comentario: %s';
+$lang['Delete: %s'] = 'Supressão: %s';
+$lang['Validate: %s'] = 'Validação: %s';
+$lang['Comment by %s'] = 'Comentario de %s';
+$lang['User: %s'] = 'Utilizador: %s';
+$lang['Email: %s'] = 'Email: %s';
+$lang['Admin: %s'] = 'Administração: %s';
+$lang['Registration of %s'] = 'Registro de %s';
+$lang['Category: %s'] = 'Catégoria: %s';
+$lang['Picture name: %s'] = 'Nome da imagem: %s';
+$lang['Creation date: %s'] = 'Data de criação: %d';
+$lang['Waiting page: %s'] = 'Página em espera: %s';
+$lang['Picture uploaded by %s'] = 'Imagem telecarregada por %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
+$lang['guest_must_be_guest'] = 'Estatuto do utilizador "guest" não conforme, utilização do estatuto por defeito. Faça favor avisar o awebmaster.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrador, webmaster e utilizador especial não pódem utilizar este método';
+$lang['reg_err_mail_address_dbl'] = 'um utilizador já utiliza este endresso email';
+$lang['Category results for'] = 'Resultados das categorias para';
+$lang['Tag results for'] = 'Resultados dos tags para';
+$lang['from %s to %s'] = 'du %s ao %s';
+$lang['start_play'] = 'Leitura du diaporama';
+$lang['stop_play'] = 'Pausa do diaporama';
+$lang['start_repeat'] = 'Repetir o diaporama';
+$lang['stop_repeat'] = 'Não repetir o diaporama';
+$lang['inc_period'] = 'Reduzir a velocidade do diaporama';
+$lang['dec_period'] = 'Aumentar a velocidade do diaporama';
+$lang['Submit'] = 'Validar';
+$lang['Yes'] = 'sim';
+$lang['No'] = 'Não';
+$lang['%d element']='%d imagem';
+$lang['%d elements']='%d imagens';
+$lang['%d element are also linked to current tags'] = '%d imagem esta também ligada aos tags correntes';
+$lang['%d elements are also linked to current tags'] = '%d imagens estão também ligadas aos tags correntes';
+$lang['See elements linked to this tag only'] = 'Ver as imagens ligadas uniquamente a este tag';
+$lang['elements posted during the last %d days'] = 'imagens adidas nos %d ultimos dias';
+$lang['Choose an image'] = 'Escolher uma imagem para adir';
+$lang['Piwigo Help'] = 'Ajuda de Piwigo';
+$lang['Rank'] = 'Posição';
+$lang['group by letters'] = 'grupar por letras';
+$lang['letters'] = 'letras';
+$lang['show tag cloud'] = 'mostar a nuvem de tags';
+$lang['cloud'] = 'nuvem';
+?>
Index: /branches/2.0/language/pt_PT/iso.txt
===================================================================
--- /branches/2.0/language/pt_PT/iso.txt	(revision 3263)
+++ /branches/2.0/language/pt_PT/iso.txt	(revision 3263)
@@ -0,0 +1,1 @@
+Português [PT]