Index: trunk/plugins/AMenuManager/language/de_DE/index.php
===================================================================
--- trunk/plugins/AMenuManager/language/de_DE/index.php	(revision 3275)
+++ trunk/plugins/AMenuManager/language/de_DE/index.php	(revision 3282)
@@ -5,8 +5,8 @@
 // | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | file          : $Id: /piwigo/trunk/plugins/AMenuManager/language/de_DE/index.php 6550 2008-10-11T10:17:25.730603Z patdenice  $
+// | last update   : $Date: 2008-10-11T10:17:25.730603Z $
+// | last modifier : $Author: patdenice $
+// | revision      : $Revision: 6550 $
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: trunk/plugins/AMenuManager/language/it_IT/index.php
===================================================================
--- trunk/plugins/AMenuManager/language/it_IT/index.php	(revision 3275)
+++ trunk/plugins/AMenuManager/language/it_IT/index.php	(revision 3282)
@@ -5,8 +5,8 @@
 // | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | file          : $Id: /piwigo/trunk/plugins/AMenuManager/language/it_IT/index.php 6307 2008-08-03T22:24:22.359632Z riopwg  $
+// | last update   : $Date: 2008-08-03T22:24:22.359632Z $
+// | last modifier : $Author: riopwg $
+// | revision      : $Revision: 6307 $
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: trunk/plugins/LocalFilesEditor/admin.tpl
===================================================================
--- trunk/plugins/LocalFilesEditor/admin.tpl	(revision 3275)
+++ trunk/plugins/LocalFilesEditor/admin.tpl	(revision 3282)
@@ -1,3 +1,3 @@
-{* $Id$ *}
+{* $Id: /piwigo/trunk/plugins/LocalFilesEditor/admin.tpl 6428 2008-09-25T17:46:27.209191Z patdenice  $ *}
 {html_head}<link rel="stylesheet" type="text/css" href="{$LOCALEDIT_PATH}locfiledit.css">{/html_head}
 {known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
Index: trunk/plugins/LocalFilesEditor/show_default.tpl
===================================================================
--- trunk/plugins/LocalFilesEditor/show_default.tpl	(revision 3275)
+++ trunk/plugins/LocalFilesEditor/show_default.tpl	(revision 3282)
@@ -1,3 +1,3 @@
-{* $Id$ *}
+{* $Id: /piwigo/trunk/plugins/LocalFilesEditor/show_default.tpl 7026 2009-03-11T16:39:44.956202Z patdenice  $ *}
 {html_head}
 <link rel="stylesheet" type="text/css" href="{$LOCALEDIT_PATH}locfiledit.css">
Index: trunk/plugins/SwiftThemeCreator/farbtastic/farbtastic.js
===================================================================
--- trunk/plugins/SwiftThemeCreator/farbtastic/farbtastic.js	(revision 3275)
+++ trunk/plugins/SwiftThemeCreator/farbtastic/farbtastic.js	(revision 3282)
@@ -1,3 +1,3 @@
-// $Id$
+// $Id: /piwigo/trunk/plugins/SwiftThemeCreator/farbtastic/farbtastic.js 6285 2008-07-21T22:20:47.317098Z vdigital  $
 // Farbtastic 1.2
 
Index: trunk/plugins/SwiftThemeCreator/theme_creator.tpl
===================================================================
--- trunk/plugins/SwiftThemeCreator/theme_creator.tpl	(revision 3275)
+++ trunk/plugins/SwiftThemeCreator/theme_creator.tpl	(revision 3282)
@@ -1,3 +1,3 @@
-{* $Id$ *}
+{* $Id: /piwigo/trunk/plugins/SwiftThemeCreator/theme_creator.tpl 6327 2008-08-26T14:18:42.525002Z vdigital  $ *}
 <div class="titrePage">
   <h2>{'Swift Theme Creator'|@translate}</h2>
Index: trunk/plugins/add_index/admin/main_page.tpl
===================================================================
--- trunk/plugins/add_index/admin/main_page.tpl	(revision 3275)
+++ trunk/plugins/add_index/admin/main_page.tpl	(revision 3282)
@@ -1,3 +1,3 @@
-{* $Id$ *}
+{* $Id: /piwigo/trunk/plugins/add_index/admin/main_page.tpl 6509 2008-10-05T21:07:41.181634Z rub  $ *}
 
 <div class="titrePage">
Index: trunk/plugins/event_tracer/event_list.tpl
===================================================================
--- trunk/plugins/event_tracer/event_list.tpl	(revision 3275)
+++ trunk/plugins/event_tracer/event_list.tpl	(revision 3282)
@@ -1,3 +1,3 @@
-{* $Id$ *}
+{* $Id: /piwigo/trunk/plugins/event_tracer/event_list.tpl 6094 2008-03-06T00:25:47.052235Z rvelices  $ *}
 There are {$NB_EVENTS} calls to triger_event or triger_action.
 
Index: trunk/plugins/event_tracer/tracer_admin.tpl
===================================================================
--- trunk/plugins/event_tracer/tracer_admin.tpl	(revision 3275)
+++ trunk/plugins/event_tracer/tracer_admin.tpl	(revision 3282)
@@ -1,3 +1,3 @@
-{* $Id$ *}
+{* $Id: /piwigo/trunk/plugins/event_tracer/tracer_admin.tpl 6613 2008-10-18T01:08:58.913602Z rvelices  $ *}
 <div class="titrePage">
   <h2>Event Tracer</h2>