Index: trunk/template/yoga/about.tpl
===================================================================
--- trunk/template/yoga/about.tpl	(revision 3282)
+++ trunk/template/yoga/about.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/about.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <div id="content" class="content">
   <div class="titrePage">
Index: trunk/template/yoga/comments.tpl
===================================================================
--- trunk/template/yoga/comments.tpl	(revision 3282)
+++ trunk/template/yoga/comments.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/comments.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <div id="content" class="content">
 
Index: trunk/template/yoga/content.css
===================================================================
--- trunk/template/yoga/content.css	(revision 3282)
+++ trunk/template/yoga/content.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/content.css 6539 2008-10-09T23:14:43.701478Z rvelices  $ */
 .content {
 	margin-right: 1em;
Index: trunk/template/yoga/default-colors.css
===================================================================
--- trunk/template/yoga/default-colors.css	(revision 3282)
+++ trunk/template/yoga/default-colors.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/default-colors.css 6470 2008-10-01T10:04:23.412025Z rvelices  $ */
 
 /* others */
Index: trunk/template/yoga/default-layout.css
===================================================================
--- trunk/template/yoga/default-layout.css	(revision 3282)
+++ trunk/template/yoga/default-layout.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/default-layout.css 6724 2008-11-19T15:44:04.442288Z patdenice  $ */
 BODY {
 	margin: 5px;
Index: trunk/template/yoga/fix-ie5-ie6.css
===================================================================
--- trunk/template/yoga/fix-ie5-ie6.css	(revision 3282)
+++ trunk/template/yoga/fix-ie5-ie6.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/fix-ie5-ie6.css 6488 2008-10-03T23:48:03.552613Z rvelices  $ */
 /* Issues in IE from 5 to 6 only not to be used with IE7 */
 
Index: trunk/template/yoga/fix-ie7.css
===================================================================
--- trunk/template/yoga/fix-ie7.css	(revision 3282)
+++ trunk/template/yoga/fix-ie7.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/fix-ie7.css 6192 2008-05-20T00:27:26.561451Z patdenice  $ */
 /* fix IE with another layout for thumbnails */
 
Index: trunk/template/yoga/fix-khtml.css
===================================================================
--- trunk/template/yoga/fix-khtml.css	(revision 3282)
+++ trunk/template/yoga/fix-khtml.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/fix-khtml.css 6488 2008-10-03T23:48:03.552613Z rvelices  $ */
 /* Issue in Safari/Konqueror only                                                 */
 /* If H2 has a 0 margin-top categoryActions doesn't float right but overwrites H2 */
Index: trunk/template/yoga/footer.tpl
===================================================================
--- trunk/template/yoga/footer.tpl	(revision 3282)
+++ trunk/template/yoga/footer.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/footer.tpl 7037 2009-03-13T23:43:50.771219Z plg  $ *}
 <div id="copyright">
  <a name="EoP"></a> <!-- End of Page -->
Index: trunk/template/yoga/header.tpl
===================================================================
--- trunk/template/yoga/header.tpl	(revision 3282)
+++ trunk/template/yoga/header.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/header.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 <html lang="{$lang_info.code}" dir="{$lang_info.direction}">
Index: trunk/template/yoga/identification.tpl
===================================================================
--- trunk/template/yoga/identification.tpl	(revision 3282)
+++ trunk/template/yoga/identification.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/identification.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <div id="content" class="content">
 
Index: trunk/template/yoga/include/autosize.inc.tpl
===================================================================
--- trunk/template/yoga/include/autosize.inc.tpl	(revision 3282)
+++ trunk/template/yoga/include/autosize.inc.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/include/autosize.inc.tpl 6561 2008-10-11T20:34:28.889830Z rub  $ *}
 {known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
 {known_script id="jquery.autogrow" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.autogrow-textarea.js"}
Index: trunk/template/yoga/include/datepicker.inc.tpl
===================================================================
--- trunk/template/yoga/include/datepicker.inc.tpl	(revision 3282)
+++ trunk/template/yoga/include/datepicker.inc.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/include/datepicker.inc.tpl 6942 2009-01-18T23:27:21.785111Z rub  $ *}
 
 {known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
Index: trunk/template/yoga/include/resize.inc.tpl
===================================================================
--- trunk/template/yoga/include/resize.inc.tpl	(revision 3282)
+++ trunk/template/yoga/include/resize.inc.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/include/resize.inc.tpl 6942 2009-01-18T23:27:21.785111Z rub  $ *}
 {known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
 {known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/packed/ui.core.packed.js"}
Index: trunk/template/yoga/index.tpl
===================================================================
--- trunk/template/yoga/index.tpl	(revision 3282)
+++ trunk/template/yoga/index.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/index.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 {$MENUBAR}
 {if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
Index: trunk/template/yoga/layout.css
===================================================================
--- trunk/template/yoga/layout.css	(revision 3282)
+++ trunk/template/yoga/layout.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/layout.css 6470 2008-10-01T10:04:23.412025Z rvelices  $ */
 
 /* template css */
Index: trunk/template/yoga/mail/text/html/cat_group_info.tpl
===================================================================
--- trunk/template/yoga/mail/text/html/cat_group_info.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/html/cat_group_info.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/html/cat_group_info.tpl 6468 2008-09-30T21:14:16.664623Z rub  $ *}
 <div id="cat_group_info">
 <h2>{'Informations'|@translate}</h2>
Index: trunk/template/yoga/mail/text/html/footer.tpl
===================================================================
--- trunk/template/yoga/mail/text/html/footer.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/html/footer.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/html/footer.tpl 7094 2009-04-22T19:32:00.030733Z rub  $ *}
 </div> <!-- content -->
 <div id="copyright">
Index: trunk/template/yoga/mail/text/html/global-mail-css.tpl
===================================================================
--- trunk/template/yoga/mail/text/html/global-mail-css.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/html/global-mail-css.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/html/global-mail-css.tpl 6125 2008-03-18T23:43:38.714277Z rvelices  $ *}
 /* Global mail css */
 
Index: trunk/template/yoga/mail/text/html/header.tpl
===================================================================
--- trunk/template/yoga/mail/text/html/header.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/html/header.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/html/header.tpl 6491 2008-10-04T09:50:02.198862Z rub  $ *}
 -----={$BOUNDARY_KEY}
 Content-Type: {$CONTENT_TYPE}; charset="{$CONTENT_ENCODING}";
Index: trunk/template/yoga/mail/text/html/notification_by_mail.tpl
===================================================================
--- trunk/template/yoga/mail/text/html/notification_by_mail.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/html/notification_by_mail.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/html/notification_by_mail.tpl 7113 2009-04-26T14:59:15.515418Z rub  $ *}
 <div id="nbm_message">
 <h2>{'Notification'|@translate}</h2>
Index: trunk/template/yoga/mail/text/plain/cat_group_info.tpl
===================================================================
--- trunk/template/yoga/mail/text/plain/cat_group_info.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/plain/cat_group_info.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/plain/cat_group_info.tpl 6468 2008-09-30T21:14:16.664623Z rub  $ *}
 {'Hello,'|@translate}
 
Index: trunk/template/yoga/mail/text/plain/footer.tpl
===================================================================
--- trunk/template/yoga/mail/text/plain/footer.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/plain/footer.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/plain/footer.tpl 7094 2009-04-22T19:32:00.030733Z rub  $ *}
 
 ------------------------------------------------------------------------------
Index: trunk/template/yoga/mail/text/plain/header.tpl
===================================================================
--- trunk/template/yoga/mail/text/plain/header.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/plain/header.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/plain/header.tpl 6581 2008-10-15T00:30:28.026859Z rvelices  $ *}
 -----={$BOUNDARY_KEY}
 Content-Type: {$CONTENT_TYPE}; charset="{$CONTENT_ENCODING}";
Index: trunk/template/yoga/mail/text/plain/notification_by_mail.tpl
===================================================================
--- trunk/template/yoga/mail/text/plain/notification_by_mail.tpl	(revision 3282)
+++ trunk/template/yoga/mail/text/plain/notification_by_mail.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mail/text/plain/notification_by_mail.tpl 6468 2008-09-30T21:14:16.664623Z rub  $ *}
 {'nbm_content_hello_1'|@translate}{$USERNAME}{'nbm_content_hello_2'|@translate}
 
Index: trunk/template/yoga/mainpage_categories.tpl
===================================================================
--- trunk/template/yoga/mainpage_categories.tpl	(revision 3282)
+++ trunk/template/yoga/mainpage_categories.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/mainpage_categories.tpl 7029 2009-03-11T19:41:21.279480Z nikrou  $ *}
 
 <ul class="thumbnailCategories">
Index: trunk/template/yoga/month_calendar.tpl
===================================================================
--- trunk/template/yoga/month_calendar.tpl	(revision 3282)
+++ trunk/template/yoga/month_calendar.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/month_calendar.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 
 {if !empty($chronology_navigation_bars) }
Index: trunk/template/yoga/navigation_bar.tpl
===================================================================
--- trunk/template/yoga/navigation_bar.tpl	(revision 3282)
+++ trunk/template/yoga/navigation_bar.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: navigation_bar.tpl 3145 2009-02-14 02:24:10Z patdenice $ *}
 <div class="navigationBar">
   {if isset($navbar.URL_FIRST)}
Index: trunk/template/yoga/nbm.tpl
===================================================================
--- trunk/template/yoga/nbm.tpl	(revision 3282)
+++ trunk/template/yoga/nbm.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/nbm.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 
 <div id="content" class="content">
Index: trunk/template/yoga/not-ie.css
===================================================================
--- trunk/template/yoga/not-ie.css	(revision 3282)
+++ trunk/template/yoga/not-ie.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/not-ie.css 6321 2008-08-22T00:45:03.152754Z rvelices  $ */
 
 /* All directives not supported by IE */
Index: trunk/template/yoga/notification.tpl
===================================================================
--- trunk/template/yoga/notification.tpl	(revision 3282)
+++ trunk/template/yoga/notification.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/notification.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 {html_head}
 <link rel="alternate" type="application/rss+xml" title="{'Image only RSS feed'|@translate}" href="{$U_FEED_IMAGE_ONLY}">
Index: trunk/template/yoga/password.tpl
===================================================================
--- trunk/template/yoga/password.tpl	(revision 3282)
+++ trunk/template/yoga/password.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/password.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <div id="content" class="content">
 
Index: trunk/template/yoga/picture.css
===================================================================
--- trunk/template/yoga/picture.css	(revision 3282)
+++ trunk/template/yoga/picture.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/picture.css 6664 2008-11-04T01:47:48.662351Z rvelices  $ */
 #imageHeaderBar {
 	padding-top: 2px;
Index: trunk/template/yoga/picture.tpl
===================================================================
--- trunk/template/yoga/picture.tpl	(revision 3282)
+++ trunk/template/yoga/picture.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/picture.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 
 {* Example of resizeable *}
Index: trunk/template/yoga/picture_content.tpl
===================================================================
--- trunk/template/yoga/picture_content.tpl	(revision 3282)
+++ trunk/template/yoga/picture_content.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/picture_content.tpl 6960 2009-02-04T02:30:48.228526Z rvelices  $ *}
 {if isset($high) }
 <a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
Index: trunk/template/yoga/picture_nav_buttons.tpl
===================================================================
--- trunk/template/yoga/picture_nav_buttons.tpl	(revision 3282)
+++ trunk/template/yoga/picture_nav_buttons.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/picture_nav_buttons.tpl 6540 2008-10-10T13:11:31.136621Z rvelices  $ *}
   <div class="navButtons">
   
Index: trunk/template/yoga/popuphelp.tpl
===================================================================
--- trunk/template/yoga/popuphelp.tpl	(revision 3282)
+++ trunk/template/yoga/popuphelp.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/popuphelp.tpl 6329 2008-08-28T01:26:26.034575Z rvelices  $ *}
 <div id="content" class="content">
 {$HELP_CONTENT}
Index: trunk/template/yoga/profile.tpl
===================================================================
--- trunk/template/yoga/profile.tpl	(revision 3282)
+++ trunk/template/yoga/profile.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/profile.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <div id="content" class="content">
 
Index: trunk/template/yoga/profile_content.tpl
===================================================================
--- trunk/template/yoga/profile_content.tpl	(revision 3282)
+++ trunk/template/yoga/profile_content.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/profile_content.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <form method="post" name="profile" action="{$F_ACTION}" id="profile" class="properties">
 
Index: trunk/template/yoga/redirect.tpl
===================================================================
--- trunk/template/yoga/redirect.tpl	(revision 3282)
+++ trunk/template/yoga/redirect.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/redirect.tpl 6361 2008-09-12T02:17:35.753791Z rvelices  $ *}
 {html_head}
 <style type="text/css">#the_page {ldelim}text-align:center;} </style>
Index: trunk/template/yoga/register.tpl
===================================================================
--- trunk/template/yoga/register.tpl	(revision 3282)
+++ trunk/template/yoga/register.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/register.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <div id="registerPage">
 
Index: trunk/template/yoga/search.tpl
===================================================================
--- trunk/template/yoga/search.tpl	(revision 3282)
+++ trunk/template/yoga/search.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/search.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 
 {* Example of resizeable *}
Index: trunk/template/yoga/search_rules.tpl
===================================================================
--- trunk/template/yoga/search_rules.tpl	(revision 3282)
+++ trunk/template/yoga/search_rules.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/search_rules.tpl 6329 2008-08-28T01:26:26.034575Z rvelices  $ *}
 <div id="content" class="content">
 <h2>{'Search rules'|@translate}</h2>
Index: trunk/template/yoga/slideshow.tpl
===================================================================
--- trunk/template/yoga/slideshow.tpl	(revision 3282)
+++ trunk/template/yoga/slideshow.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/slideshow.tpl 6599 2008-10-16T00:53:15.414857Z rvelices  $ *}
 <div id="imageHeaderBar">
   <div class="browsePath">
Index: trunk/template/yoga/tags.tpl
===================================================================
--- trunk/template/yoga/tags.tpl	(revision 3282)
+++ trunk/template/yoga/tags.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/tags.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 <div id="content" class="content">
 
Index: trunk/template/yoga/theme/Sylvia/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/Sylvia/mail-css.tpl	(revision 3282)
+++ trunk/template/yoga/theme/Sylvia/mail-css.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/theme/Sylvia/mail-css.tpl 6835 2008-12-16T22:55:08.393682Z vdigital  $ *}
 /* Theme Sylvia mail css */
 
Index: trunk/template/yoga/theme/Sylvia/theme.css
===================================================================
--- trunk/template/yoga/theme/Sylvia/theme.css	(revision 3282)
+++ trunk/template/yoga/theme/Sylvia/theme.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/theme/Sylvia/theme.css 6901 2009-01-07T20:03:11.076259Z vdigital  $ */
 .content div.thumbnailCategory div.illustration { 
 	width:165px !important; /* Usable range 162px-360px , optimal : Thumbnail width + 40px */ 
Index: trunk/template/yoga/theme/clear/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/clear/mail-css.tpl	(revision 3282)
+++ trunk/template/yoga/theme/clear/mail-css.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/theme/clear/mail-css.tpl 6125 2008-03-18T23:43:38.714277Z rvelices  $ *}
 /* Theme clear mail css */
 
Index: trunk/template/yoga/theme/clear/theme.css
===================================================================
--- trunk/template/yoga/theme/clear/theme.css	(revision 3282)
+++ trunk/template/yoga/theme/clear/theme.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/theme/clear/theme.css 6421 2008-09-24T19:15:01.483154Z vdigital  $ */
 
 /* text color */
Index: trunk/template/yoga/theme/dark/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/dark/mail-css.tpl	(revision 3282)
+++ trunk/template/yoga/theme/dark/mail-css.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/theme/dark/mail-css.tpl 6125 2008-03-18T23:43:38.714277Z rvelices  $ *}
 /* Theme dark mail css */
 
Index: trunk/template/yoga/theme/dark/theme.css
===================================================================
--- trunk/template/yoga/theme/dark/theme.css	(revision 3282)
+++ trunk/template/yoga/theme/dark/theme.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/theme/dark/theme.css 6664 2008-11-04T01:47:48.662351Z rvelices  $ */
 
 /* text color */
Index: trunk/template/yoga/theme/p0w0/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/p0w0/mail-css.tpl	(revision 3282)
+++ trunk/template/yoga/theme/p0w0/mail-css.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/theme/p0w0/mail-css.tpl 6125 2008-03-18T23:43:38.714277Z rvelices  $ *}
 /* Theme p0w0 mail css */
 
Index: trunk/template/yoga/theme/p0w0/theme.css
===================================================================
--- trunk/template/yoga/theme/p0w0/theme.css	(revision 3282)
+++ trunk/template/yoga/theme/p0w0/theme.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/theme/p0w0/theme.css 6421 2008-09-24T19:15:01.483154Z vdigital  $ */
 
 /**
Index: trunk/template/yoga/theme/wipi/mail-css.tpl
===================================================================
--- trunk/template/yoga/theme/wipi/mail-css.tpl	(revision 3282)
+++ trunk/template/yoga/theme/wipi/mail-css.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/theme/wipi/mail-css.tpl 6125 2008-03-18T23:43:38.714277Z rvelices  $ *}
 /* Theme wipi mail css */
 
Index: trunk/template/yoga/theme/wipi/theme.css
===================================================================
--- trunk/template/yoga/theme/wipi/theme.css	(revision 3282)
+++ trunk/template/yoga/theme/wipi/theme.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/theme/wipi/theme.css 6421 2008-09-24T19:15:01.483154Z vdigital  $ */
 
 /* text color */
Index: trunk/template/yoga/thumbnails.css
===================================================================
--- trunk/template/yoga/thumbnails.css	(revision 3282)
+++ trunk/template/yoga/thumbnails.css	(revision 3283)
@@ -1,3 +1,2 @@
-/* $Id: /piwigo/trunk/template/yoga/thumbnails.css 6581 2008-10-15T00:30:28.026859Z rvelices  $ */
 
 /* Thumbnails customization */
Index: trunk/template/yoga/thumbnails.tpl
===================================================================
--- trunk/template/yoga/thumbnails.tpl	(revision 3282)
+++ trunk/template/yoga/thumbnails.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/thumbnails.tpl 7029 2009-03-11T19:41:21.279480Z nikrou  $ *}
 
 {if !empty($thumbnails)}
Index: trunk/template/yoga/upload.tpl
===================================================================
--- trunk/template/yoga/upload.tpl	(revision 3282)
+++ trunk/template/yoga/upload.tpl	(revision 3283)
@@ -1,3 +1,2 @@
-{* $Id: /piwigo/trunk/template/yoga/upload.tpl 7025 2009-03-09T19:41:45.898712Z nikrou  $ *}
 
 {* Example of resizeable *}